<template>
  <div id="formFather">
    <el-form :model="form" class="formStyle">
      <el-form-item>
        <el-input type="textarea" v-model="form.desc"></el-input>
      </el-form-item>
    </el-form>
    <div>
      <el-button type="primary" @click="submit()">提交</el-button>
    </div>
  </div>
</template>

<script>
import api from "@/api";

export default {
  name: "Abc",

  data() {
    return {
      form: {
        desc: "",
      },
    };
  },
  methods:{
    abcData(){
      let data={
        nBasicEdgeStr:this.form.desc

      }
      // data=JSON.stringify(data)
      api.abcList(data)
      .then(res=>{
        console.log(res,"pppppp")
      })
    },
    submit(){
      this.abcData();
    }
  },
  mounted() {},
  beforeDestroy() {},
};
</script>
<style lang="scss" scoped>
#formFather {
  width: 100%;
  height: 100%;
  text-align: center;
}
::v-deep.el-form {
  height: 80%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
::v-deep.el-form-item {
  width: 50%;
  height: 50%;
}
.formStyle ::v-deep.el-form-item__content {
  height: 100%;
}
::v-deep.el-textarea {
  height: 100%;
}
.formStyle ::v-deep.el-textarea__inner {
  min-height: 100% !important;
}
</style>
